// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.25.0
// 	protoc        v3.13.0
// source: v1/vms.proto

package v1

import (
	proto "github.com/golang/protobuf/proto"
	status "google.golang.org/genproto/googleapis/rpc/status"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// This is a compile-time assertion that a sufficiently up-to-date version
// of the legacy proto package is being used.
const _ = proto.ProtoPackageIsVersion4

type Vms struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Uuid     string `protobuf:"bytes,1,opt,name=uuid,proto3" json:"uuid,omitempty"`
	Type     string `protobuf:"bytes,2,opt,name=type,proto3" json:"type,omitempty"`
	Address  string `protobuf:"bytes,3,opt,name=address,proto3" json:"address,omitempty"`
	Port     int32  `protobuf:"varint,4,opt,name=port,proto3" json:"port,omitempty"`
	Name     string `protobuf:"bytes,5,opt,name=name,proto3" json:"name,omitempty"`
	Username string `protobuf:"bytes,6,opt,name=username,proto3" json:"username,omitempty"`
	Password string `protobuf:"bytes,7,opt,name=password,proto3" json:"password,omitempty"`
	Online   bool   `protobuf:"varint,8,opt,name=online,proto3" json:"online,omitempty"`
}

func (x *Vms) Reset() {
	*x = Vms{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_vms_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Vms) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Vms) ProtoMessage() {}

func (x *Vms) ProtoReflect() protoreflect.Message {
	mi := &file_v1_vms_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Vms.ProtoReflect.Descriptor instead.
func (*Vms) Descriptor() ([]byte, []int) {
	return file_v1_vms_proto_rawDescGZIP(), []int{0}
}

func (x *Vms) GetUuid() string {
	if x != nil {
		return x.Uuid
	}
	return ""
}

func (x *Vms) GetType() string {
	if x != nil {
		return x.Type
	}
	return ""
}

func (x *Vms) GetAddress() string {
	if x != nil {
		return x.Address
	}
	return ""
}

func (x *Vms) GetPort() int32 {
	if x != nil {
		return x.Port
	}
	return 0
}

func (x *Vms) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *Vms) GetUsername() string {
	if x != nil {
		return x.Username
	}
	return ""
}

func (x *Vms) GetPassword() string {
	if x != nil {
		return x.Password
	}
	return ""
}

func (x *Vms) GetOnline() bool {
	if x != nil {
		return x.Online
	}
	return false
}

type Camera struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Uuid     string `protobuf:"bytes,1,opt,name=uuid,proto3" json:"uuid,omitempty"`
	Name     string `protobuf:"bytes,2,opt,name=name,proto3" json:"name,omitempty"`
	Mac      string `protobuf:"bytes,3,opt,name=mac,proto3" json:"mac,omitempty"`
	Url      string `protobuf:"bytes,4,opt,name=url,proto3" json:"url,omitempty"`
	Activate bool   `protobuf:"varint,5,opt,name=activate,proto3" json:"activate,omitempty"`
	Model    string `protobuf:"bytes,6,opt,name=model,proto3" json:"model,omitempty"`
	Vendor   string `protobuf:"bytes,7,opt,name=vendor,proto3" json:"vendor,omitempty"`
}

func (x *Camera) Reset() {
	*x = Camera{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_vms_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Camera) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Camera) ProtoMessage() {}

func (x *Camera) ProtoReflect() protoreflect.Message {
	mi := &file_v1_vms_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Camera.ProtoReflect.Descriptor instead.
func (*Camera) Descriptor() ([]byte, []int) {
	return file_v1_vms_proto_rawDescGZIP(), []int{1}
}

func (x *Camera) GetUuid() string {
	if x != nil {
		return x.Uuid
	}
	return ""
}

func (x *Camera) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *Camera) GetMac() string {
	if x != nil {
		return x.Mac
	}
	return ""
}

func (x *Camera) GetUrl() string {
	if x != nil {
		return x.Url
	}
	return ""
}

func (x *Camera) GetActivate() bool {
	if x != nil {
		return x.Activate
	}
	return false
}

func (x *Camera) GetModel() string {
	if x != nil {
		return x.Model
	}
	return ""
}

func (x *Camera) GetVendor() string {
	if x != nil {
		return x.Vendor
	}
	return ""
}

// Type:    RESTful
// Method:  POST
// URL:     /v1/vms
type CreateVmsRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Type     string `protobuf:"bytes,1,opt,name=type,proto3" json:"type,omitempty"`
	Address  string `protobuf:"bytes,2,opt,name=address,proto3" json:"address,omitempty"`
	Port     int32  `protobuf:"varint,3,opt,name=port,proto3" json:"port,omitempty"`
	Name     string `protobuf:"bytes,4,opt,name=name,proto3" json:"name,omitempty"`
	Username string `protobuf:"bytes,5,opt,name=username,proto3" json:"username,omitempty"`
	Password string `protobuf:"bytes,6,opt,name=password,proto3" json:"password,omitempty"`
}

func (x *CreateVmsRequest) Reset() {
	*x = CreateVmsRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_vms_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CreateVmsRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CreateVmsRequest) ProtoMessage() {}

func (x *CreateVmsRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1_vms_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CreateVmsRequest.ProtoReflect.Descriptor instead.
func (*CreateVmsRequest) Descriptor() ([]byte, []int) {
	return file_v1_vms_proto_rawDescGZIP(), []int{2}
}

func (x *CreateVmsRequest) GetType() string {
	if x != nil {
		return x.Type
	}
	return ""
}

func (x *CreateVmsRequest) GetAddress() string {
	if x != nil {
		return x.Address
	}
	return ""
}

func (x *CreateVmsRequest) GetPort() int32 {
	if x != nil {
		return x.Port
	}
	return 0
}

func (x *CreateVmsRequest) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *CreateVmsRequest) GetUsername() string {
	if x != nil {
		return x.Username
	}
	return ""
}

func (x *CreateVmsRequest) GetPassword() string {
	if x != nil {
		return x.Password
	}
	return ""
}

type CreateVmsResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Vms    *Vms           `protobuf:"bytes,1,opt,name=vms,proto3" json:"vms,omitempty"`
	Status *status.Status `protobuf:"bytes,2,opt,name=status,proto3" json:"status,omitempty"`
}

func (x *CreateVmsResponse) Reset() {
	*x = CreateVmsResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_vms_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CreateVmsResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CreateVmsResponse) ProtoMessage() {}

func (x *CreateVmsResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_vms_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CreateVmsResponse.ProtoReflect.Descriptor instead.
func (*CreateVmsResponse) Descriptor() ([]byte, []int) {
	return file_v1_vms_proto_rawDescGZIP(), []int{3}
}

func (x *CreateVmsResponse) GetVms() *Vms {
	if x != nil {
		return x.Vms
	}
	return nil
}

func (x *CreateVmsResponse) GetStatus() *status.Status {
	if x != nil {
		return x.Status
	}
	return nil
}

// Type:    RESTful
// Method:  PUT
// URL:     /v1/vms/:uuid/credential
type UpdateVmsCredentialRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Username string `protobuf:"bytes,1,opt,name=username,proto3" json:"username,omitempty"`
	Password string `protobuf:"bytes,2,opt,name=password,proto3" json:"password,omitempty"`
}

func (x *UpdateVmsCredentialRequest) Reset() {
	*x = UpdateVmsCredentialRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_vms_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *UpdateVmsCredentialRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*UpdateVmsCredentialRequest) ProtoMessage() {}

func (x *UpdateVmsCredentialRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1_vms_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use UpdateVmsCredentialRequest.ProtoReflect.Descriptor instead.
func (*UpdateVmsCredentialRequest) Descriptor() ([]byte, []int) {
	return file_v1_vms_proto_rawDescGZIP(), []int{4}
}

func (x *UpdateVmsCredentialRequest) GetUsername() string {
	if x != nil {
		return x.Username
	}
	return ""
}

func (x *UpdateVmsCredentialRequest) GetPassword() string {
	if x != nil {
		return x.Password
	}
	return ""
}

type UpdateVmsCredentialResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Vms    *Vms           `protobuf:"bytes,1,opt,name=vms,proto3" json:"vms,omitempty"`
	Status *status.Status `protobuf:"bytes,2,opt,name=status,proto3" json:"status,omitempty"`
}

func (x *UpdateVmsCredentialResponse) Reset() {
	*x = UpdateVmsCredentialResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_vms_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *UpdateVmsCredentialResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*UpdateVmsCredentialResponse) ProtoMessage() {}

func (x *UpdateVmsCredentialResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_vms_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use UpdateVmsCredentialResponse.ProtoReflect.Descriptor instead.
func (*UpdateVmsCredentialResponse) Descriptor() ([]byte, []int) {
	return file_v1_vms_proto_rawDescGZIP(), []int{5}
}

func (x *UpdateVmsCredentialResponse) GetVms() *Vms {
	if x != nil {
		return x.Vms
	}
	return nil
}

func (x *UpdateVmsCredentialResponse) GetStatus() *status.Status {
	if x != nil {
		return x.Status
	}
	return nil
}

// Type:    RESTful
// Method:  GET
// URL:     /v1/vms
type ListVmsResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Vmses  []*Vms         `protobuf:"bytes,1,rep,name=vmses,proto3" json:"vmses,omitempty"`
	Status *status.Status `protobuf:"bytes,2,opt,name=status,proto3" json:"status,omitempty"`
}

func (x *ListVmsResponse) Reset() {
	*x = ListVmsResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_vms_proto_msgTypes[6]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListVmsResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListVmsResponse) ProtoMessage() {}

func (x *ListVmsResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_vms_proto_msgTypes[6]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListVmsResponse.ProtoReflect.Descriptor instead.
func (*ListVmsResponse) Descriptor() ([]byte, []int) {
	return file_v1_vms_proto_rawDescGZIP(), []int{6}
}

func (x *ListVmsResponse) GetVmses() []*Vms {
	if x != nil {
		return x.Vmses
	}
	return nil
}

func (x *ListVmsResponse) GetStatus() *status.Status {
	if x != nil {
		return x.Status
	}
	return nil
}

// Type:    RESTful
// Method:  POST
// URL:     /v1/vms/:uuid/cameras
type VmsAddCameraRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	URL      string `protobuf:"bytes,1,opt,name=URL,proto3" json:"URL,omitempty"`
	Username string `protobuf:"bytes,2,opt,name=username,proto3" json:"username,omitempty"`
	Password string `protobuf:"bytes,3,opt,name=password,proto3" json:"password,omitempty"`
}

func (x *VmsAddCameraRequest) Reset() {
	*x = VmsAddCameraRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_vms_proto_msgTypes[7]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *VmsAddCameraRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*VmsAddCameraRequest) ProtoMessage() {}

func (x *VmsAddCameraRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1_vms_proto_msgTypes[7]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use VmsAddCameraRequest.ProtoReflect.Descriptor instead.
func (*VmsAddCameraRequest) Descriptor() ([]byte, []int) {
	return file_v1_vms_proto_rawDescGZIP(), []int{7}
}

func (x *VmsAddCameraRequest) GetURL() string {
	if x != nil {
		return x.URL
	}
	return ""
}

func (x *VmsAddCameraRequest) GetUsername() string {
	if x != nil {
		return x.Username
	}
	return ""
}

func (x *VmsAddCameraRequest) GetPassword() string {
	if x != nil {
		return x.Password
	}
	return ""
}

type VmsAddCameraResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Status *status.Status `protobuf:"bytes,1,opt,name=status,proto3" json:"status,omitempty"`
}

func (x *VmsAddCameraResponse) Reset() {
	*x = VmsAddCameraResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_vms_proto_msgTypes[8]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *VmsAddCameraResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*VmsAddCameraResponse) ProtoMessage() {}

func (x *VmsAddCameraResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_vms_proto_msgTypes[8]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use VmsAddCameraResponse.ProtoReflect.Descriptor instead.
func (*VmsAddCameraResponse) Descriptor() ([]byte, []int) {
	return file_v1_vms_proto_rawDescGZIP(), []int{8}
}

func (x *VmsAddCameraResponse) GetStatus() *status.Status {
	if x != nil {
		return x.Status
	}
	return nil
}

// Type:    RESTful
// Method:  GET
// URL:     /v1/vms/:uuid/cameras
type ListCameraResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Cameras []*Camera      `protobuf:"bytes,1,rep,name=cameras,proto3" json:"cameras,omitempty"`
	Status  *status.Status `protobuf:"bytes,2,opt,name=status,proto3" json:"status,omitempty"`
}

func (x *ListCameraResponse) Reset() {
	*x = ListCameraResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_vms_proto_msgTypes[9]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListCameraResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListCameraResponse) ProtoMessage() {}

func (x *ListCameraResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_vms_proto_msgTypes[9]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListCameraResponse.ProtoReflect.Descriptor instead.
func (*ListCameraResponse) Descriptor() ([]byte, []int) {
	return file_v1_vms_proto_rawDescGZIP(), []int{9}
}

func (x *ListCameraResponse) GetCameras() []*Camera {
	if x != nil {
		return x.Cameras
	}
	return nil
}

func (x *ListCameraResponse) GetStatus() *status.Status {
	if x != nil {
		return x.Status
	}
	return nil
}

// Type:    RESTful
// Method:  GET
// URL:     /v1/vms/:uuid/cameras/:cuid/thumbnail
type VmsCameraThumbnailResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Data   []byte         `protobuf:"bytes,1,opt,name=data,proto3" json:"data,omitempty"`
	Status *status.Status `protobuf:"bytes,2,opt,name=status,proto3" json:"status,omitempty"`
}

func (x *VmsCameraThumbnailResponse) Reset() {
	*x = VmsCameraThumbnailResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_vms_proto_msgTypes[10]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *VmsCameraThumbnailResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*VmsCameraThumbnailResponse) ProtoMessage() {}

func (x *VmsCameraThumbnailResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_vms_proto_msgTypes[10]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use VmsCameraThumbnailResponse.ProtoReflect.Descriptor instead.
func (*VmsCameraThumbnailResponse) Descriptor() ([]byte, []int) {
	return file_v1_vms_proto_rawDescGZIP(), []int{10}
}

func (x *VmsCameraThumbnailResponse) GetData() []byte {
	if x != nil {
		return x.Data
	}
	return nil
}

func (x *VmsCameraThumbnailResponse) GetStatus() *status.Status {
	if x != nil {
		return x.Status
	}
	return nil
}

// Type:    RESTful
// Method:  DELETE
// URL:     /v1/vms/:uuid
type DeleteVmsResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Vms    *Vms           `protobuf:"bytes,1,opt,name=vms,proto3" json:"vms,omitempty"`
	Status *status.Status `protobuf:"bytes,2,opt,name=status,proto3" json:"status,omitempty"`
}

func (x *DeleteVmsResponse) Reset() {
	*x = DeleteVmsResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_vms_proto_msgTypes[11]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DeleteVmsResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DeleteVmsResponse) ProtoMessage() {}

func (x *DeleteVmsResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_vms_proto_msgTypes[11]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DeleteVmsResponse.ProtoReflect.Descriptor instead.
func (*DeleteVmsResponse) Descriptor() ([]byte, []int) {
	return file_v1_vms_proto_rawDescGZIP(), []int{11}
}

func (x *DeleteVmsResponse) GetVms() *Vms {
	if x != nil {
		return x.Vms
	}
	return nil
}

func (x *DeleteVmsResponse) GetStatus() *status.Status {
	if x != nil {
		return x.Status
	}
	return nil
}

var File_v1_vms_proto protoreflect.FileDescriptor

var file_v1_vms_proto_rawDesc = []byte{
	0x0a, 0x0c, 0x76, 0x31, 0x2f, 0x76, 0x6d, 0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x19,
	0x74, 0x6f, 0x75, 0x63, 0x68, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x62, 0x2e, 0x68, 0x61,
	0x77, 0x6b, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x76, 0x31, 0x1a, 0x1e, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x2f, 0x67, 0x72, 0x70, 0x63, 0x2f, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x2f, 0x73, 0x74, 0x61,
	0x74, 0x75, 0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0xbf, 0x01, 0x0a, 0x03, 0x56, 0x6d,
	0x73, 0x12, 0x12, 0x0a, 0x04, 0x75, 0x75, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x04, 0x75, 0x75, 0x69, 0x64, 0x12, 0x12, 0x0a, 0x04, 0x74, 0x79, 0x70, 0x65, 0x18, 0x02, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x04, 0x74, 0x79, 0x70, 0x65, 0x12, 0x18, 0x0a, 0x07, 0x61, 0x64, 0x64,
	0x72, 0x65, 0x73, 0x73, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x61, 0x64, 0x64, 0x72,
	0x65, 0x73, 0x73, 0x12, 0x12, 0x0a, 0x04, 0x70, 0x6f, 0x72, 0x74, 0x18, 0x04, 0x20, 0x01, 0x28,
	0x05, 0x52, 0x04, 0x70, 0x6f, 0x72, 0x74, 0x12, 0x12, 0x0a, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x18,
	0x05, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x12, 0x1a, 0x0a, 0x08, 0x75,
	0x73, 0x65, 0x72, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x06, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x75,
	0x73, 0x65, 0x72, 0x6e, 0x61, 0x6d, 0x65, 0x12, 0x1a, 0x0a, 0x08, 0x70, 0x61, 0x73, 0x73, 0x77,
	0x6f, 0x72, 0x64, 0x18, 0x07, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x70, 0x61, 0x73, 0x73, 0x77,
	0x6f, 0x72, 0x64, 0x12, 0x16, 0x0a, 0x06, 0x6f, 0x6e, 0x6c, 0x69, 0x6e, 0x65, 0x18, 0x08, 0x20,
	0x01, 0x28, 0x08, 0x52, 0x06, 0x6f, 0x6e, 0x6c, 0x69, 0x6e, 0x65, 0x22, 0x9e, 0x01, 0x0a, 0x06,
	0x43, 0x61, 0x6d, 0x65, 0x72, 0x61, 0x12, 0x12, 0x0a, 0x04, 0x75, 0x75, 0x69, 0x64, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x75, 0x75, 0x69, 0x64, 0x12, 0x12, 0x0a, 0x04, 0x6e, 0x61,
	0x6d, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x12, 0x10,
	0x0a, 0x03, 0x6d, 0x61, 0x63, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x6d, 0x61, 0x63,
	0x12, 0x10, 0x0a, 0x03, 0x75, 0x72, 0x6c, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x75,
	0x72, 0x6c, 0x12, 0x1a, 0x0a, 0x08, 0x61, 0x63, 0x74, 0x69, 0x76, 0x61, 0x74, 0x65, 0x18, 0x05,
	0x20, 0x01, 0x28, 0x08, 0x52, 0x08, 0x61, 0x63, 0x74, 0x69, 0x76, 0x61, 0x74, 0x65, 0x12, 0x14,
	0x0a, 0x05, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x18, 0x06, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x6d,
	0x6f, 0x64, 0x65, 0x6c, 0x12, 0x16, 0x0a, 0x06, 0x76, 0x65, 0x6e, 0x64, 0x6f, 0x72, 0x18, 0x07,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x76, 0x65, 0x6e, 0x64, 0x6f, 0x72, 0x22, 0xa0, 0x01, 0x0a,
	0x10, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x56, 0x6d, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73,
	0x74, 0x12, 0x12, 0x0a, 0x04, 0x74, 0x79, 0x70, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x04, 0x74, 0x79, 0x70, 0x65, 0x12, 0x18, 0x0a, 0x07, 0x61, 0x64, 0x64, 0x72, 0x65, 0x73, 0x73,
	0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x61, 0x64, 0x64, 0x72, 0x65, 0x73, 0x73, 0x12,
	0x12, 0x0a, 0x04, 0x70, 0x6f, 0x72, 0x74, 0x18, 0x03, 0x20, 0x01, 0x28, 0x05, 0x52, 0x04, 0x70,
	0x6f, 0x72, 0x74, 0x12, 0x12, 0x0a, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x04, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x12, 0x1a, 0x0a, 0x08, 0x75, 0x73, 0x65, 0x72, 0x6e,
	0x61, 0x6d, 0x65, 0x18, 0x05, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x75, 0x73, 0x65, 0x72, 0x6e,
	0x61, 0x6d, 0x65, 0x12, 0x1a, 0x0a, 0x08, 0x70, 0x61, 0x73, 0x73, 0x77, 0x6f, 0x72, 0x64, 0x18,
	0x06, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x70, 0x61, 0x73, 0x73, 0x77, 0x6f, 0x72, 0x64, 0x22,
	0x71, 0x0a, 0x11, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x56, 0x6d, 0x73, 0x52, 0x65, 0x73, 0x70,
	0x6f, 0x6e, 0x73, 0x65, 0x12, 0x30, 0x0a, 0x03, 0x76, 0x6d, 0x73, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x0b, 0x32, 0x1e, 0x2e, 0x74, 0x6f, 0x75, 0x63, 0x68, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70,
	0x62, 0x2e, 0x68, 0x61, 0x77, 0x6b, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x76, 0x31, 0x2e, 0x56, 0x6d,
	0x73, 0x52, 0x03, 0x76, 0x6d, 0x73, 0x12, 0x2a, 0x0a, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73,
	0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x12, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e,
	0x72, 0x70, 0x63, 0x2e, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x52, 0x06, 0x73, 0x74, 0x61, 0x74,
	0x75, 0x73, 0x22, 0x54, 0x0a, 0x1a, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x56, 0x6d, 0x73, 0x43,
	0x72, 0x65, 0x64, 0x65, 0x6e, 0x74, 0x69, 0x61, 0x6c, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74,
	0x12, 0x1a, 0x0a, 0x08, 0x75, 0x73, 0x65, 0x72, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x01, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x08, 0x75, 0x73, 0x65, 0x72, 0x6e, 0x61, 0x6d, 0x65, 0x12, 0x1a, 0x0a, 0x08,
	0x70, 0x61, 0x73, 0x73, 0x77, 0x6f, 0x72, 0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08,
	0x70, 0x61, 0x73, 0x73, 0x77, 0x6f, 0x72, 0x64, 0x22, 0x7b, 0x0a, 0x1b, 0x55, 0x70, 0x64, 0x61,
	0x74, 0x65, 0x56, 0x6d, 0x73, 0x43, 0x72, 0x65, 0x64, 0x65, 0x6e, 0x74, 0x69, 0x61, 0x6c, 0x52,
	0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x30, 0x0a, 0x03, 0x76, 0x6d, 0x73, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x1e, 0x2e, 0x74, 0x6f, 0x75, 0x63, 0x68, 0x63, 0x6c, 0x6f, 0x75,
	0x64, 0x2e, 0x70, 0x62, 0x2e, 0x68, 0x61, 0x77, 0x6b, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x76, 0x31,
	0x2e, 0x56, 0x6d, 0x73, 0x52, 0x03, 0x76, 0x6d, 0x73, 0x12, 0x2a, 0x0a, 0x06, 0x73, 0x74, 0x61,
	0x74, 0x75, 0x73, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x12, 0x2e, 0x67, 0x6f, 0x6f, 0x67,
	0x6c, 0x65, 0x2e, 0x72, 0x70, 0x63, 0x2e, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x52, 0x06, 0x73,
	0x74, 0x61, 0x74, 0x75, 0x73, 0x22, 0x73, 0x0a, 0x0f, 0x4c, 0x69, 0x73, 0x74, 0x56, 0x6d, 0x73,
	0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x34, 0x0a, 0x05, 0x76, 0x6d, 0x73, 0x65,
	0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x1e, 0x2e, 0x74, 0x6f, 0x75, 0x63, 0x68, 0x63,
	0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x62, 0x2e, 0x68, 0x61, 0x77, 0x6b, 0x2e, 0x61, 0x70, 0x69,
	0x2e, 0x76, 0x31, 0x2e, 0x56, 0x6d, 0x73, 0x52, 0x05, 0x76, 0x6d, 0x73, 0x65, 0x73, 0x12, 0x2a,
	0x0a, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x12,
	0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x72, 0x70, 0x63, 0x2e, 0x53, 0x74, 0x61, 0x74,
	0x75, 0x73, 0x52, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x22, 0x5f, 0x0a, 0x13, 0x56, 0x6d,
	0x73, 0x41, 0x64, 0x64, 0x43, 0x61, 0x6d, 0x65, 0x72, 0x61, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73,
	0x74, 0x12, 0x10, 0x0a, 0x03, 0x55, 0x52, 0x4c, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03,
	0x55, 0x52, 0x4c, 0x12, 0x1a, 0x0a, 0x08, 0x75, 0x73, 0x65, 0x72, 0x6e, 0x61, 0x6d, 0x65, 0x18,
	0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x75, 0x73, 0x65, 0x72, 0x6e, 0x61, 0x6d, 0x65, 0x12,
	0x1a, 0x0a, 0x08, 0x70, 0x61, 0x73, 0x73, 0x77, 0x6f, 0x72, 0x64, 0x18, 0x03, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x08, 0x70, 0x61, 0x73, 0x73, 0x77, 0x6f, 0x72, 0x64, 0x22, 0x42, 0x0a, 0x14, 0x56,
	0x6d, 0x73, 0x41, 0x64, 0x64, 0x43, 0x61, 0x6d, 0x65, 0x72, 0x61, 0x52, 0x65, 0x73, 0x70, 0x6f,
	0x6e, 0x73, 0x65, 0x12, 0x2a, 0x0a, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x0b, 0x32, 0x12, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x72, 0x70, 0x63,
	0x2e, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x52, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x22,
	0x7d, 0x0a, 0x12, 0x4c, 0x69, 0x73, 0x74, 0x43, 0x61, 0x6d, 0x65, 0x72, 0x61, 0x52, 0x65, 0x73,
	0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x3b, 0x0a, 0x07, 0x63, 0x61, 0x6d, 0x65, 0x72, 0x61, 0x73,
	0x18, 0x01, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x21, 0x2e, 0x74, 0x6f, 0x75, 0x63, 0x68, 0x63, 0x6c,
	0x6f, 0x75, 0x64, 0x2e, 0x70, 0x62, 0x2e, 0x68, 0x61, 0x77, 0x6b, 0x2e, 0x61, 0x70, 0x69, 0x2e,
	0x76, 0x31, 0x2e, 0x43, 0x61, 0x6d, 0x65, 0x72, 0x61, 0x52, 0x07, 0x63, 0x61, 0x6d, 0x65, 0x72,
	0x61, 0x73, 0x12, 0x2a, 0x0a, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x18, 0x02, 0x20, 0x01,
	0x28, 0x0b, 0x32, 0x12, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x72, 0x70, 0x63, 0x2e,
	0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x52, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x22, 0x5c,
	0x0a, 0x1a, 0x56, 0x6d, 0x73, 0x43, 0x61, 0x6d, 0x65, 0x72, 0x61, 0x54, 0x68, 0x75, 0x6d, 0x62,
	0x6e, 0x61, 0x69, 0x6c, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x12, 0x0a, 0x04,
	0x64, 0x61, 0x74, 0x61, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0c, 0x52, 0x04, 0x64, 0x61, 0x74, 0x61,
	0x12, 0x2a, 0x0a, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b,
	0x32, 0x12, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x72, 0x70, 0x63, 0x2e, 0x53, 0x74,
	0x61, 0x74, 0x75, 0x73, 0x52, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x22, 0x71, 0x0a, 0x11,
	0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x56, 0x6d, 0x73, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73,
	0x65, 0x12, 0x30, 0x0a, 0x03, 0x76, 0x6d, 0x73, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1e,
	0x2e, 0x74, 0x6f, 0x75, 0x63, 0x68, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x62, 0x2e, 0x68,
	0x61, 0x77, 0x6b, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x76, 0x31, 0x2e, 0x56, 0x6d, 0x73, 0x52, 0x03,
	0x76, 0x6d, 0x73, 0x12, 0x2a, 0x0a, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x18, 0x02, 0x20,
	0x01, 0x28, 0x0b, 0x32, 0x12, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x72, 0x70, 0x63,
	0x2e, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x52, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x42,
	0x29, 0x5a, 0x27, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x74, 0x6f,
	0x75, 0x63, 0x68, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2f, 0x70, 0x62, 0x2f, 0x68, 0x61, 0x77, 0x6b,
	0x2f, 0x61, 0x70, 0x69, 0x2f, 0x76, 0x31, 0x3b, 0x76, 0x31, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x33,
}

var (
	file_v1_vms_proto_rawDescOnce sync.Once
	file_v1_vms_proto_rawDescData = file_v1_vms_proto_rawDesc
)

func file_v1_vms_proto_rawDescGZIP() []byte {
	file_v1_vms_proto_rawDescOnce.Do(func() {
		file_v1_vms_proto_rawDescData = protoimpl.X.CompressGZIP(file_v1_vms_proto_rawDescData)
	})
	return file_v1_vms_proto_rawDescData
}

var file_v1_vms_proto_msgTypes = make([]protoimpl.MessageInfo, 12)
var file_v1_vms_proto_goTypes = []interface{}{
	(*Vms)(nil),                         // 0: touchcloud.pb.hawk.api.v1.Vms
	(*Camera)(nil),                      // 1: touchcloud.pb.hawk.api.v1.Camera
	(*CreateVmsRequest)(nil),            // 2: touchcloud.pb.hawk.api.v1.CreateVmsRequest
	(*CreateVmsResponse)(nil),           // 3: touchcloud.pb.hawk.api.v1.CreateVmsResponse
	(*UpdateVmsCredentialRequest)(nil),  // 4: touchcloud.pb.hawk.api.v1.UpdateVmsCredentialRequest
	(*UpdateVmsCredentialResponse)(nil), // 5: touchcloud.pb.hawk.api.v1.UpdateVmsCredentialResponse
	(*ListVmsResponse)(nil),             // 6: touchcloud.pb.hawk.api.v1.ListVmsResponse
	(*VmsAddCameraRequest)(nil),         // 7: touchcloud.pb.hawk.api.v1.VmsAddCameraRequest
	(*VmsAddCameraResponse)(nil),        // 8: touchcloud.pb.hawk.api.v1.VmsAddCameraResponse
	(*ListCameraResponse)(nil),          // 9: touchcloud.pb.hawk.api.v1.ListCameraResponse
	(*VmsCameraThumbnailResponse)(nil),  // 10: touchcloud.pb.hawk.api.v1.VmsCameraThumbnailResponse
	(*DeleteVmsResponse)(nil),           // 11: touchcloud.pb.hawk.api.v1.DeleteVmsResponse
	(*status.Status)(nil),               // 12: google.rpc.Status
}
var file_v1_vms_proto_depIdxs = []int32{
	0,  // 0: touchcloud.pb.hawk.api.v1.CreateVmsResponse.vms:type_name -> touchcloud.pb.hawk.api.v1.Vms
	12, // 1: touchcloud.pb.hawk.api.v1.CreateVmsResponse.status:type_name -> google.rpc.Status
	0,  // 2: touchcloud.pb.hawk.api.v1.UpdateVmsCredentialResponse.vms:type_name -> touchcloud.pb.hawk.api.v1.Vms
	12, // 3: touchcloud.pb.hawk.api.v1.UpdateVmsCredentialResponse.status:type_name -> google.rpc.Status
	0,  // 4: touchcloud.pb.hawk.api.v1.ListVmsResponse.vmses:type_name -> touchcloud.pb.hawk.api.v1.Vms
	12, // 5: touchcloud.pb.hawk.api.v1.ListVmsResponse.status:type_name -> google.rpc.Status
	12, // 6: touchcloud.pb.hawk.api.v1.VmsAddCameraResponse.status:type_name -> google.rpc.Status
	1,  // 7: touchcloud.pb.hawk.api.v1.ListCameraResponse.cameras:type_name -> touchcloud.pb.hawk.api.v1.Camera
	12, // 8: touchcloud.pb.hawk.api.v1.ListCameraResponse.status:type_name -> google.rpc.Status
	12, // 9: touchcloud.pb.hawk.api.v1.VmsCameraThumbnailResponse.status:type_name -> google.rpc.Status
	0,  // 10: touchcloud.pb.hawk.api.v1.DeleteVmsResponse.vms:type_name -> touchcloud.pb.hawk.api.v1.Vms
	12, // 11: touchcloud.pb.hawk.api.v1.DeleteVmsResponse.status:type_name -> google.rpc.Status
	12, // [12:12] is the sub-list for method output_type
	12, // [12:12] is the sub-list for method input_type
	12, // [12:12] is the sub-list for extension type_name
	12, // [12:12] is the sub-list for extension extendee
	0,  // [0:12] is the sub-list for field type_name
}

func init() { file_v1_vms_proto_init() }
func file_v1_vms_proto_init() {
	if File_v1_vms_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_v1_vms_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Vms); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_vms_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Camera); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_vms_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CreateVmsRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_vms_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CreateVmsResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_vms_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*UpdateVmsCredentialRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_vms_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*UpdateVmsCredentialResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_vms_proto_msgTypes[6].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListVmsResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_vms_proto_msgTypes[7].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*VmsAddCameraRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_vms_proto_msgTypes[8].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*VmsAddCameraResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_vms_proto_msgTypes[9].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListCameraResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_vms_proto_msgTypes[10].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*VmsCameraThumbnailResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_vms_proto_msgTypes[11].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DeleteVmsResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_v1_vms_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   12,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_v1_vms_proto_goTypes,
		DependencyIndexes: file_v1_vms_proto_depIdxs,
		MessageInfos:      file_v1_vms_proto_msgTypes,
	}.Build()
	File_v1_vms_proto = out.File
	file_v1_vms_proto_rawDesc = nil
	file_v1_vms_proto_goTypes = nil
	file_v1_vms_proto_depIdxs = nil
}
